Remember when you could pause a video on, like, Youtube and wait and it would eventually load the whole thing so you could watch it with no buffering?

![Comic of a guy pausing a Youtube video and reminiscing tearfully about the old days where it would buffer all the way to the end](what_they_took_from_you.png)

I happened across a [tumblr post](https://nyxgoddessofcandles.tumblr.com/post/733566253212598272/theres-more-to-do-actually-now-go-to) detailing some settings to accomplish that in modern Firefox, and I wanted to document it here.

I can't guarantee that this won't stop working at some point amidst the constant churn of arbitrary updates to websites and browsers alike, but it works for me right now, and if I learn about an updated method this is where it'll be.

*Update:* After using my browser with these settings for a while, I've noticed that the first of them breaks online video in some cases, notably Twitch streams and the Jellyfin web client. I've reverted the changes in my browser for this reason.

## How to do it

In `about:config`, change the following settings:
- Set `media.mediasource.enabled` to `false`
- Set `media.cache_readahead_limit` and `media.cache_resume_threshold` to `9999`